Bug 272492 - Network manager plasmoid's Show more/Show less button does not fit in KDE HIG
Summary: Network manager plasmoid's Show more/Show less button does not fit in KDE HIG
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-05 02:30 UTC by Rafał Malinowski
Modified: 2011-05-26 23:50 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rafał Malinowski 2011-05-05 02:30:20 UTC
Version:           unspecified (using Devel) 
OS:                Linux

Show more/Show less button changes its state, title and icon at once.
As in http://techbase.kde.org/Projects/Usability/HIG/Toggle_Buttons

"Do not use a toggle button to indicate an action.

Example: A music player should not use a toggle button to implement a combined Play/Pause button. It should use a normal button and adjust the icon and label to represent the action which would be performed when clicked. "

Reproducible: Always

Steps to Reproduce:
1. install network-manager plasmoid
2. show it
3. view list of wireless networks
4. click show more button
5. click show less button

Actual Results:  
Show more/show less button is toggle button not compatible with KDE HIG

Expected Results:  
Show more/show less button is not a toggle button or is a toggle button that does not change its icon/title and is compatible with KDE HIG.
Comment 1 Lamarque V. Souza 2011-05-06 20:57:33 UTC
Git commit 2fbfb4c83ac9c63fe5dc2050b358bc384c22f3ad by Lamarque V. Souza.
Committed on 06/05/2011 at 21:07.
Pushed by lvsouza into branch 'nm09'.

Make "Show More" button fit in KDE HIG.

BUG: 272492
(cherry picked from commit 9057a6fa8fecb3e0377aef81045a3a5ac8c7922b)

M  +16   -14   applet/nmpopup.cpp     
M  +1    -1    applet/nmpopup.h     

http://commits.kde.org/networkmanagement/2fbfb4c83ac9c63fe5dc2050b358bc384c22f3ad
Comment 2 Lamarque V. Souza 2011-05-06 20:57:34 UTC
Git commit 9057a6fa8fecb3e0377aef81045a3a5ac8c7922b by Lamarque V. Souza.
Committed on 06/05/2011 at 21:07.
Pushed by lvsouza into branch 'master'.

Make "Show More" button fit in KDE HIG.

BUG: 272492

M  +16   -14   applet/nmpopup.cpp     
M  +1    -1    applet/nmpopup.h     

http://commits.kde.org/networkmanagement/9057a6fa8fecb3e0377aef81045a3a5ac8c7922b
Comment 3 Will Stephenson 2011-05-26 23:50:46 UTC
Git commit e083f7fe7192f96859ca551befcdea1a6e284c6e by Will Stephenson, on behalf of Lamarque V. Souza.
Committed on 06/05/2011 at 21:07.
Pushed by wstephens into branch 'libnm-qt'.

Make "Show More" button fit in KDE HIG.

BUG: 272492
(cherry picked from commit 9057a6fa8fecb3e0377aef81045a3a5ac8c7922b)

M  +16   -14   applet/nmpopup.cpp     
M  +1    -1    applet/nmpopup.h     

http://commits.kde.org/networkmanagement/e083f7fe7192f96859ca551befcdea1a6e284c6e